Name:          docbook5-style-xsl
Version:       1.76.1
Release:       %mkrel 2
Summary:       Norman Walsh's XSL stylesheets for DocBook 5.X
Group:         Publishing
License:       MIT, MPLv1.1
Url:           http://docbook.sourceforge.net/
Source0:       http://downloads.sourceforge.net/docbook/docbook-xsl-ns-1.76.1.tar.bz2
Provides:      docbook-xsl-ns = %{version}
# required /usr/bin/xmlcatalog
Requires(post): libxml2-utils
Requires(postun): libxml2-utils
BuildArch:     noarch

%description
These XSL namespace aware stylesheets allow you to transform any
DocBook 5 document to other formats, such as HTML, manpages, FO,
XHMTL and other formats. They are highly customizable. For more
information see W3C page about XSL.

%prep
%setup -q -n docbook-xsl-ns-%{version}

rm -rf $(find -name '.gitignore' -type f)
chmod +x epub/bin/dbtoepub

%build

%install
mkdir -p %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version
cp -a [[:lower:]]* %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/
cp -a VERSION %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/
ln -s xsl-ns-stylesheets-%{version} %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets

rm -rf %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets/extensions
rm -rf %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets/install.sh

%post
CATALOG=/etc/xml/catalog
 %{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
  "http://docbook.sourceforge.net/release/xsl-ns/%{version}" \
  "file:///usr/share/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl-ns/%{version}" \
 "file:///usr/share/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file:///usr/share/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file:///usr/share/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG

%postun
if [ "$1" = 0 ]; then
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --del \
"file:///usr/share/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
fi

%files
%{_datadir}/sgml/docbook/xsl-ns-stylesheets
%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}
%doc BUGS COPYING NEWS README RELEASE-NOTES.* TODO


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.76.1-2.mga3
+ Revision: 349051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 gil <gil> 1.76.1-1.mga2
+ Revision: 161048
- imported package docbook5-style-xsl

